function [constellation,map]=MPAMmap(b);
%function [constellation,map]=MPAMmap(b);
%b: bit per simbol
%constellation; 2^b,N
%map: associated bits
m=1:2^b;
amplitudes=(2*m-2^b-1);
constellation=amplitudes/norm(amplitudes)*(2^b)^0.5;
map=zeros(2^b,b);
m1=m-1;
for i=1:length(m1)
    for j=1:b
        map(i,j)=rem(m1(i),2);
        m1(i)=(m1(i)-map(i,j))/2;
    end
end
